
Redmine - Feature #9942

Allow non-members to watch issues

2012-01-08 18:09 - Ivan Cenov

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

It happens that some people are not involved in a project but they need to watch what happens in it or in particular issues.

An example: The boss. He is not a member of a project, but he wants to track an issue in this project. He should be able to add

himself as a watcher. Also the manager of the project should be able to add the boss as a watcher.

I see the functionality this way:

1. Add new permission "Watch as non-member"

2. New/Edit issue views: Add separate drop-down list with nonmembers of the project & button "Watch"

3. When an user opens an issue of a project where he is not a member: add a button or a checkbox with function "Add me as

watcher"

Related issues:

Related to Redmine - Feature #5159: Ability to add Non-Member watchers to the... Closed 2010-03-23

History

#1 - 2012-01-08 18:10 - Ivan Cenov

Similar issue from Chilliproject: Allow non-members to watch issues

#2 - 2012-01-09 19:44 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Duplicate

See #5159 which is now implemented.

When an user opens an issue of a project where he is not a member: add a button or a checkbox with function "Add me as watcher"

 A user can click the existing "Watch" button even if he's not a project member.
